Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.metanotion.io
Class SerialStreams

    java.lang.Object
      net.metanotion.io.SerialStreams

All Implemented Interfaces:
  Serializer

    public abstract class SerialStreams

extends Object
implements Serializer

Constructor Summary
`SerialStreams()`

Method Summary
`Object` | `construct(byte[] b)`
`byte[]` | `getBytes(Object o)`
`abstract Object` | `readIn(DataInputStream dis)`
`abstract void` | `writeOut(DataOutputStream dos, Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialStreams

    public SerialStreams()

Method Detail

### getBytes

    public byte[] getBytes(Object o)

  Specified by:
    `getBytes` in interface `Serializer`

### construct

    public Object construct(byte[] b)

  Specified by:
    `construct` in interface `Serializer`

### writeOut

    public abstract void writeOut(DataOutputStream dos,
                                  Object o)
                           throws IOException

  Throws:
    `IOException`

### readIn

    public abstract Object readIn(DataInputStream dis)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD